libmodule-runtime-perl_0.014-1_all.deb


Advertisement

Description

libmodule-runtime-perl - Perl module for runtime module handling

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmodule-runtime-perl
Package version: 0.014
Package release: 1
Package architecture: all
Package type: deb
Installed size: 68 B
Download size: 17.49 KB
Official Mirror: ftp.br.debian.org
Module::Runtime deals with runtime handling of Perl modules, which are normally handled at compile time. This module provide functions that can, for example, require or use modules at runtime, check for module names validity, compose module names and more.

Alternatives

    Download

    Source package: libmodule-runtime-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmodule-runtime-perl deb package:
      # sudo apt-get install libmodule-runtime-perl

    Files

    • /usr/share/doc/libmodule-runtime-perl/changelog.Debian.gz
    • /usr/share/doc/libmodule-runtime-perl/changelog.gz
    • /usr/share/doc/libmodule-runtime-perl/copyright
    • /usr/share/man/man3/Module::Runtime.3pm.gz
    • /usr/share/perl5/Module/Runtime.pm

    Changelog

    2014-02-23 - gregor herrmann <gregoa@debian.org> libmodule-runtime-perl (0.014-1) unstable; urgency=low * Team upload. [ Alessandro Ghedini ] * Email change: Alessandro Ghedini -> ghedo@debian.org [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * debian/watch: remove obsolete comment. [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * New upstream release. * Update years of upstream copyright. * Declare compliance with Debian Policy 3.9.5.

    2012-02-17 - Angel Abad <angel@debian.org> libmodule-runtime-perl (0.013-1) unstable; urgency=low * Imported Upstream version 0.013

    2012-02-12 - Angel Abad <angel@debian.org> libmodule-runtime-perl (0.012-1) unstable; urgency=low * Email change: Angel Abad -> angel@debian.org * Imported Upstream version 0.012 * debian/copyright: Update years

    2011-10-25 - Angel Abad <angelabad@gmail.com> libmodule-runtime-perl (0.011-1) unstable; urgency=low * Imported Upstream version 0.011 * debian/copyright: Update debian/* section

    2011-10-07 - Salvatore Bonaccorso <carnil@debian.org> libmodule-runtime-perl (0.010-1) unstable; urgency=low * Team upload. * Imported Upstream version 0.010

    2011-10-05 - Angel Abad <angelabad@gmail.com> libmodule-runtime-perl (0.009-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Angel Abad ] * Imported Upstream version 0.009 * debian/control: - Switch perl to Build-Depends - Add myself to Uploaders * debian/copyright: Update debian/* section

    2011-06-12 - Alessandro Ghedini <al3xbio@gmail.com> libmodule-runtime-perl (0.008-1) unstable; urgency=low * New upstream release * Bump debhelper compat level to 8 * Bump Standards-Version to 3.9.2: - Drop versioned dependency on perl * Add myself to Uploaders * Use DEP5 in debian/copyright * Update upstream copyright years * Do not install upstream README anymore (it does not add useful information) * Use short-form dh in debian/rules * Switch to 3.0 (quilt) format * Add libtest-pod-coverage-perl and libtest-pod-perl to B-D-I * Rewrite long description

    2010-04-17 - Ivan Kohler <ivan-debian@420.am> libmodule-runtime-perl (0.007-2) unstable; urgency=low * Take over for the Debian Perl Group * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Changed: Maintainer set to Debian Perl Group <pkg-perl- maintainers@lists.alioth.debian.org> (was: Ivan Kohler <ivan- debian@420.am>); Ivan Kohler <ivan-debian@420.am> moved to Uploaders. * debian/watch: use dist-based URL. * Add dependencies on libparams-classify-perl, patch from Hideki Yamane, thanks! (closes: Bug#576495)

    2010-03-24 - Ivan Kohler <ivan-debian@420.am> libmodule-runtime-perl (0.007-1) unstable; urgency=low * New upstream release * debhelper compat 5

    2008-03-12 - Ivan Kohler <ivan-debian@420.am> libmodule-runtime-perl (0.005-2) unstable; urgency=low * Add libmodule-build-perl to Build-Dep, doh (closes: Bug#470321)

    Advertisement
    Advertisement